Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Interface KodoPersistenceManagerFactory

All Superinterfaces:
  org.apache.openjpa.lib.util.Closeable, org.apache.openjpa.kernel.ConnectionRetainModes, PersistenceManagerFactory, Serializable

All Known Implementing Classes:
  JDOConnectionFactory, PersistenceManagerFactoryImpl

    public interface KodoPersistenceManagerFactory

extends PersistenceManagerFactory, org.apache.openjpa.kernel.ConnectionRetainModes, org.apache.openjpa.lib.util.Closeable

Interface implemented by Kodo persistence manager factories.

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.ConnectionRetainModes
`CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS`

Method Summary
`void` | `addTransferListener(RemoteTransferListener listener)` This method only available on client factories.
`org.apache.openjpa.conf.OpenJPAConfiguration` | `getConfiguration()` Return the configuration for this factory.
`String` | `getConnectionPassword()` Credentials.
`KodoDataStoreCache` | `getDataStoreCache(String cacheName)` Return a JDO facade to the given named Kodo cache.
`KodoPersistenceManager` | `getPersistenceManager(boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`KodoPersistenceManager` | `getPersistenceManager(String user, String pass, boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`QueryResultCache` | `getQueryResultCache()` Return a view of the query result cache.
`Object` | `getUserObject(Object key)` User object association.
`boolean` | `isPersistenceServerRunning()` Return true if a persistence server is running.
`boolean` | `joinPersistenceServer()` Join the thread running the persistence server for this factory.
`Object` | `putUserObject(Object key, Object value)` User object association.
`void` | `removeTransferListener(RemoteTransferListener listener)` This method only available on client factories.
`boolean` | `startPersistenceServer()` Start the persistence server.
`boolean` | `stopPersistenceServer()` Stop the persistence server.

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`addInstanceLifecycleListener, close, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getDataStoreCache, getDetachAllOnCommit, getIgnoreCache, getMapping, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getProperties, getRestoreValues, getRetainValues, isClosed, removeInstanceLifecycleListener, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setDetachAllOnCommit, setIgnoreCache, setMapping, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, supportedOptions`

Methods inherited from interface org.apache.openjpa.lib.util.Closeable
`close`

Method Detail

### getConfiguration

    org.apache.openjpa.conf.OpenJPAConfiguration getConfiguration()

  Return the configuration for this factory.

### putUserObject

    Object putUserObject(Object key,
                         Object value)

  User object association.

### getUserObject

    Object getUserObject(Object key)

  User object association.

### getPersistenceManager

    KodoPersistenceManager getPersistenceManager(boolean managed,
                                                 int connRetainMode)

  Return a persistence manager in the given transaction and connection retain mode.

  See Also:
    `ConnectionRetainModes`

### getPersistenceManager

    KodoPersistenceManager getPersistenceManager(String user,
                                                 String pass,
                                                 boolean managed,
                                                 int connRetainMode)

  Return a persistence manager in the given transaction and connection retain mode.

  See Also:
    `ConnectionRetainModes`

### getDataStoreCache

    KodoDataStoreCache getDataStoreCache(String cacheName)

  Return a JDO facade to the given named Kodo cache. This is more efficient than interacting with the standard cache facade, which must delegate to all named caches.

### getQueryResultCache

    QueryResultCache getQueryResultCache()

  Return a view of the query result cache.

### startPersistenceServer

    boolean startPersistenceServer()

  Start the persistence server. This typically happens automatically when a factory with a configured server is obtained.

  Returns:
    false if there is no server configured, true otherwise

### joinPersistenceServer

    boolean joinPersistenceServer()

  Join the thread running the persistence server for this factory.

  Returns:
    false if no server is running, true otherwise

### stopPersistenceServer

    boolean stopPersistenceServer()

  Stop the persistence server.

  Returns:
    false if the server was not running, true otherwise

### isPersistenceServerRunning

    boolean isPersistenceServerRunning()

  Return true if a persistence server is running.

### getConnectionPassword

    String getConnectionPassword()

  Credentials.

### addTransferListener

    void addTransferListener(RemoteTransferListener listener)

  This method only available on client factories. Register a listener that will be called as the PM uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads.

### removeTransferListener

    void removeTransferListener(RemoteTransferListener listener)

  This method only available on client factories. Deregisters a previously registered listener.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.